* {
    box-sizing: border-box;
    padding: 0;
}

/* Global font settings */
body {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    /* Regular by default */
    font-size: 16px;
    line-height: 1.6;
    color: #333;
    margin: 0;
}

b,
.font-bold {
    font-family: "Poppins", sans-serif;
    font-weight: 800;
}

/* H1 - Heading 1 */
h1 {
    font-size: clamp(2.5rem, 5vw, 3.5rem);
    /* From 40px to 56px */
}

/* H2 - Heading 2 */
h2 {
    font-size: clamp(2rem, 4vw, 3rem);
    /* From 32px to 48px */
}

/* H3 - Heading 3 */
h3 {
    font-size: clamp(1.75rem, 3.5vw, 2.5rem);
    /* From 28px to 40px */
}

/* Paragraph */
p {
    font-weight: 400;
    font-size: clamp(1.25rem, 2.5vw, 1.75rem) !important;
    /* 20px to 28px */
    margin-bottom: 1em;
}

:root {
    --color-theme: #ff6969;
    --color-warning: #e68040;
    --color-primary: #4983ff;
    --color-danger: #f87474;
    --color-lightgray: #f2f6fc;
    --color-midgray: #989898;
    --color-darkgray: #474747;
    --color-success: #0eb02b;
    --color-white: #fff;
    --font-light: 100;
    --font-normal: 300;
    --font-bold: 500;
    --font-bolder: 800;
    --font-size-md: 1.3rem;
    --font-size-lg: 1.8rem;
    --font-size-xlg: 2.3rem;
}

ul > li {
    margin-bottom: 10px;
}

a {
    color: var(--color-theme);
    text-decoration: none !important;
}

.text-danger {
    color: var(--color-danger);
}

.panel-box {
    background-color: #fff;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 1px 2px #0003;
    margin-bottom: 25px;
}

.panel-box-title {
    margin: 0 0 25px;
    font-weight: bold;
    color: var(--color-theme);
    font-size: 1.8rem;
}

.sharer-link {
    background-color: #fff;
    border: 1px solid #ff6969;
    border: 1px solid var(--color-theme);
    color: #ff6969;
    color: var(--color-theme);
    padding: 6px 15px;
}

.icon-text-align {
    grid-gap: 10px;
    align-items: center;
    display: grid;
    grid-template-columns: 20px 1fr;
    justify-content: start;
    margin-bottom: 15px;
    width: 100%;
}

.icon-text-align > i {
    font-size: 1.5rem;
    text-align: center;
    color: #807cea;
}

.ellipsis-1,
.ellipsis-2,
.ellipsis-3 {
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    line-height: 22px;
    max-height: 22px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ellipsis-1 {
    max-height: 37px;
}

.ellipsis-2 {
    max-height: 45px;
    -webkit-line-clamp: 2;
}

.glyphicon.spin {
    animation: spin 1s linear infinite;
    -webkit-animation: spin 1s linear infinite;
}

.text-strikethru {
    position: relative;
}

.text-strikethru > hr {
    border-top: 1px solid #dcdcdc;
    border-bottom: 1px solid #fcfcfc;
}

.text-strikethru span {
    position: absolute;
    top: -9px;
    background-color: #e3ecfa;
    padding: 0 10px 0 0;
    font-size: 1.2rem;
    text-transform: uppercase;
    color: #979797;
}

.text-strikethru.center span {
    padding: 0 10px;
    left: 50%;
    transform: translateX(-50%);
}

.toggle-display-wrapper {
    display: none;
}

textarea {
    margin-bottom: 15px;
    resize: vertical;
    max-height: 120px;
    min-height: 40px;
}

textarea:focus,
input:focus {
    box-shadow: none !important;
    outline: none !important;
}

label {
    font-weight: normal;
}

.comment-item .well {
    background-color: #fffce5;
    border: 1px solid #e1dfcf;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

.spinner {
    display: block;
    margin: 0 auto;
}

.no-gaps,
.entry-content {
    margin: 0;
    padding: 0;
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 23px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 15px;
    width: 15px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

input:checked + .slider {
    background-color: #2196f3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(16px);
    -ms-transform: translateX(16px);
    transform: translateX(16px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

/* Adjustments for smaller screens (e.g., mobile & tablet) */
@media (max-width: 768px) {
    p {
        font-size: 1.5rem;
        /* Increase font size slightly on smaller screens */
    }

    h1 {
        font-size: 3.5rem;
        /* Make H1 larger */
    }

    h2 {
        font-size: 3rem;
        /* Make H2 a bit larger */
    }

    h3 {
        font-size: 2.5rem;
        /* Increase H3 size for better readability */
    }
}
